from .data import load_local_csv

REGISTRY = [
    {
        "dataset_name": "ShawnMenz/DAN_jailbreak",
        "num_prompts": 666,
        "tokens": 224196,
        "approx_cost": 0.0,
        "source": "Hugging Face Datasets",
        "selected": True,
        "dynamic": False,
        "url": "https://huggingface.co/ShawnMenz/DAN_jailbreak",
    },
    {
        "dataset_name": "deepset/prompt-injections",
        "num_prompts": 203,
        "tokens": 6988,
        "approx_cost": 0.0,
        "source": "Hugging Face Datasets",
        "selected": True,
        "dynamic": False,
        "url": "https://huggingface.co/deepset/prompt-injections",
    },
    {
        "dataset_name": "rubend18/ChatGPT-Jailbreak-Prompts",
        "num_prompts": 79,
        "tokens": 26971,
        "approx_cost": 0.0,
        "source": "Hugging Face Datasets",
        "selected": True,
        "dynamic": False,
        "url": "https://huggingface.co/rubend18/ChatGPT-Jailbreak-Prompts",
    },
    {
        "dataset_name": "notrichardren/refuse-to-answer-prompts",
        "num_prompts": 522,
        "tokens": 7172,
        "approx_cost": 0.0,
        "source": "Hugging Face Datasets",
        "selected": True,
        "dynamic": False,
        "url": "https://huggingface.co/notrichardren/refuse-to-answer-prompts",
    },
    {
        "dataset_name": "Lemhf14/EasyJailbreak_Datasets",
        "num_prompts": 1630,
        "tokens": 19758,
        "approx_cost": 0.0,
        "source": "Hugging Face Datasets",
        "selected": True,
        "dynamic": False,
        "url": "https://huggingface.co/Lemhf14/EasyJailbreak_Datasets",
    },
    {
        "dataset_name": "markush1/LLM-Jailbreak-Classifier",
        "num_prompts": 1119,
        "tokens": 19758,
        "approx_cost": 0.0,
        "source": "Hugging Face Datasets",
        "selected": True,
        "dynamic": False,
        "url": "https://huggingface.co/markush1/LLM-Jailbreak-Classifier",
    },
    {
        "dataset_name": "Steganography",
        "num_prompts": 10,
        "tokens": 0,
        "approx_cost": 0.0,
        "source": "Local mutation dataset",
        "selected": True,
        "dynamic": True,
        "url": "",
    },
    {
        "dataset_name": "GPT fuzzer",
        "num_prompts": 10,
        "tokens": 0,
        "approx_cost": 0.0,
        "source": "Local mutation dataset",
        "selected": True,
        "dynamic": True,
        "url": "",
    },
    {
        "dataset_name": "Agentic Security",
        "num_prompts": 0,
        "tokens": 0,
        "approx_cost": 0.0,
        "source": "Local dataset",
        "selected": True,
        "dynamic": False,
        "url": "",
    },
    {
        "dataset_name": "Malwaregen",
        "num_prompts": 0,
        "tokens": 0,
        "approx_cost": 0.0,
        "source": "Local dataset",
        "selected": False,
        "url": "",
    },
    {
        "dataset_name": "Hallucination",
        "num_prompts": 0,
        "tokens": 0,
        "approx_cost": 0.0,
        "source": "Local dataset",
        "selected": False,
        "url": "",
    },
    {
        "dataset_name": "DataLeak",
        "num_prompts": 0,
        "tokens": 0,
        "approx_cost": 0.0,
        "source": "Local dataset",
        "selected": False,
        "url": "",
    },
    {
        "dataset_name": "llm-adaptive-attacks",
        "num_prompts": 0,
        "tokens": 0,
        "approx_cost": 0.0,
        "source": "Github: tml-epfl/llm-adaptive-attacks",
        "selected": False,
        "url": "https://github.com/tml-epfl/llm-adaptive-attacks",
    },
    {
        "dataset_name": "Custom CSV",
        "num_prompts": len(load_local_csv().prompts),
        "tokens": load_local_csv().tokens,
        "approx_cost": 0.0,
        "source": "Local file dataset",
        "selected": len(load_local_csv().prompts),
        "url": "",
    },
]
